Subject: Re: [RFC 3/3] zImage: Exception vector support

From: Geoff Levand <[email-masked]>
Date: Tue, 20 Feb 2007 06:23:04 -0800

David Gibson wrote:
> On Sat, Feb 17, 2007 at 05:17:08PM -0800, Geoff Levand wrote:
>> Add SMP exception vector support to the powerpc zImage bootwrapper.  For
>> platforms which have entry points in the vector table.  This implements
>> SMP entry via the system reset vector.
> 
> I really don't like having always-included code take over the absolute
> start of the zImage's address space.  The whole idea in my entry
> cleanup patch is that the platform code gets control of the "head.S"
> area, so we can potentially support platforms with conflicting
> hard-wired requirements for things at specific offsets.
> 
> I think this belongs in a ps3.o, which will define _zimage_start to be
> identical to the reset vector.
> 

I need two entry points, one for the first stage loader (0x100), and one
for a second stage kexec loader (_zimage_start).

-Geoff